//PROGRAMM FOR BLINKING LED
//
// PROCESSOR : PIC16F628A
// CLOCK	 : 20MHz, EXTERNAL


#include	<pic.h>

__CONFIG(WDTDIS & MCLREN & BORDIS & HS & PWRTEN & LVPDIS) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// main function
void main( void ) {


	OPTION	= 0x80;			// GPIO pull-ups are disabled
	INTCON 	= 0x0;			// Disable inerupt
	TRISB3 	= 0;			// Led pin as output


	// loop forever - echo 
	while(1) {

		// Toggle led
		PORTB ^= 0x08; 
		// Simple delay
		Delay(50000);
	}
}
